System 2.0.0.0 4.0.0.0 System.Exception

This exception is thrown by the class when attempting to change the value of a that was marked as being read-only.

Provides an exception for read-only objects.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on a supplied parameter.

  A string containing an exception message.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on the supplied parameters.

  The object that holds the serialized object data about the exception being thrown.
  The object that contains contextual information about the source or destination of the serialized stream.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on supplied parameters.

  A string containing an exception message.
  The exception that is the cause of the current exception.